Package ru.bitel.bgbilling.modules.softline.common.bean

# Class SubscriptionHistory

java.lang.Object
ru.bitel.bgbilling.modules.softline.common.bean.SubscriptionHistory

    public class SubscriptionHistory
    extends java.lang.Object

Запись истории о подписке SoftLine

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SubscriptionHistory()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getDate()` |
  `int` | `getProductId()` |
  `int` | `getStatus()` |
  `int` | `getSubscriptionId()` |
  `SubscriptionSuspendReason` | `getSuspendReason()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSubscriptionId​(int subscriptionId)` |
  `void` | `setSuspendReason​(SubscriptionSuspendReason suspendReason)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionHistory

    public SubscriptionHistory()

- ## Method Details

  - ### getSubscriptionId

    public int getSubscriptionId()

  - ### setSubscriptionId

    public void setSubscriptionId​(int subscriptionId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getSuspendReason

    public SubscriptionSuspendReason getSuspendReason()

  - ### setSuspendReason

    public void setSuspendReason​(SubscriptionSuspendReason suspendReason)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId​(int productId)